{
	"name": "node-jellyfin-discord-bot",
	"version": "1.1.3",
	"description": "A discord bot to sync jellyfin accounts with discord roles",
	"main": "index.js",
	"license": "MIT",
	"dependencies": {
		"@discordjs/rest": "^1.7.0",
		"@tsconfig/recommended": "^1.0.2",
		"@types/node": "^18.15.11",
		"@types/node-cron": "^3.0.7",
		"@types/request": "^2.48.8",
		"@types/uuid": "^9.0.1",
		"axios": "^1.3.5",
		"date-fns": "^2.29.3",
		"date-fns-tz": "^2.0.0",
		"discord-api-types": "^0.37.38",
		"discord.js": "^14.9.0",
		"dotenv": "^16.0.3",
		"jellyfin-apiclient": "^1.10.0",
		"node-cron": "^3.0.2",
		"sqlite3": "^5.1.6",
		"ts-node": "^10.9.1",
		"typescript": "^5.0.4",
		"uuid": "^9.0.0",
		"winston": "^3.8.2"
	},
	"scripts": {
		"build": "tsc",
		"buildwatch": "tsc --watch",
		"clean": "rimraf build",
		"start": "node build/index.js",
		"debuggable": "node build/index.js --inspect-brk",
		"monitor": "nodemon build/index.js",
		"lint": "eslint . --ext .ts",
		"lint-fix": "eslint . --ext .ts --fix",
		"test": "jest --runInBand",
		"test-watch": "jest --watch"
	},
	"devDependencies": {
		"@types/jest": "^29.5.2",
		"@typescript-eslint/eslint-plugin": "^5.58.0",
		"@typescript-eslint/parser": "^5.58.0",
		"eslint": "^8.38.0",
		"jest": "^29.5.0",
		"jest-cli": "^29.5.0",
		"mockdate": "^3.0.5",
		"nodemon": "^2.0.22",
		"rimraf": "^5.0.0",
		"ts-jest": "^29.1.0"
	}
}
